> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/bsc/eth_hashrate.md).

# eth\_hashrate

Returns the number of hashes per second that the node is mining with. Only applicable when the node is mining.

#### **Parameters:**

none

#### **Returns:**

**QUANTITY** - number of hashes per second.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://bsc.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"eth_hashrate","params":[],"id":71}'

// Result
{
    "jsonrpc":"2.0",
    "id":71,
    "result":"0x0"
}
```

{% endcode %}
